package com.api.demo.entity.invoice.req;

import com.api.demo.entity.invoice.res.Contacts;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class InvoiceApplyReq {

    @ApiModelProperty("单位注册地址")
    private String registerAddress;

    @ApiModelProperty("单位电话")
    private String companyPhone;

    @ApiModelProperty("开户行")
    private String bankOfDeposit;

    @ApiModelProperty("银行账号")
    private String bankCardNo;

    @ApiModelProperty("发票类型 【1-增值税专用发票，2-增值税普通发票】")
    private String billType;

    @ApiModelProperty("开票类型 【1-纸质发票，2-电子发票】")
    private String invoiceType;

    @ApiModelProperty("金额")
    private String money;

    @ApiModelProperty("货物或应税劳务、服务名称ID")
    private String billingInformationIds;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("开票联系人信息")
    private Contacts contacts;


    private Long agreementId;


    private Long merchantId;



}
