package com.api.demo.entity.pay.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 余额查询返回参数API
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ApiBalanceRes {

    private String bankName;

    @ApiModelProperty("可用余额")
    private BigDecimal balance= BigDecimal.ZERO;

    @ApiModelProperty("服务费率")
    private BigDecimal serviceRate= BigDecimal.ZERO;

    @ApiModelProperty("实发预估余额")
    private BigDecimal payBalance= BigDecimal.ZERO;

    @ApiModelProperty("服务费预估余额")
    private BigDecimal serviceBalance= BigDecimal.ZERO;

    @ApiModelProperty("冻结金额")
    private BigDecimal freezeAmount= BigDecimal.ZERO;;

    private Integer bankType;


}
