package com.api.demo.entity.sign.res;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户要素校验
 * */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class CheckUserRes {

    @ApiModelProperty(value ="证件类型 1身份证 2护照 3香港通 4澳门通 5台湾通" )
    private Integer cardType;

    @ApiModelProperty(value ="姓名" )
    private String name;

    @ApiModelProperty(value ="证件号码" )
    private String idCard;

    @ApiModelProperty(value ="手机号" )
    private String mobile;

    @ApiModelProperty(value ="银行卡号" )
    private String bankCardNo;

    @ApiModelProperty(value ="正面照" )
    private String idCardFront;

    @ApiModelProperty(value ="反面照" )
    private String idCardBack;

    @ApiModelProperty(value ="签约状态: 0 未签约 1签约中 2签约完成" )
    private Integer signStatus;

    @ApiModelProperty(value ="银行卡开户行" )
    private String bankName;
}
