package com.api.demo.entity.pay.req;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "API批次打款明细")
@Data
public class ApiPayDetailReqDTO implements Serializable {
  @ApiModelProperty(value = "收款姓名")
  private String userName;
  @ApiModelProperty(value = "收款账号，如果是微信则传开户时appId所对应的openid")
  private String accountNo;
  @ApiModelProperty(value = "收款身份证")
  private String idCard;
  @ApiModelProperty(value = "手机号")
  private String phone;
  @ApiModelProperty(value = "订单金额")
  private String amount;
  @ApiModelProperty(value = "打款备注")
  private String merchantRemark;
  @ApiModelProperty(value = "商户端订单号")
  private String detailOrderNo;
  @ApiModelProperty(value = "收款类型 1银行卡 2支付宝 6微信")
  private Integer payAccountType;
  @ApiModelProperty(value = "顺丰业务中用到的版本号，存入了employ_id字段")
  private Integer frequency;
  @ApiModelProperty(value = "微信appId,与openid对应")
  private String weixinAppId;
}
