package com.api.demo.entity.pay.req;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "API打款批次查询")
@Data
public class ApiPayQueryReqDTO implements Serializable {

  @ApiModelProperty(value = "商户端批次号")
  private String bizOrderNo;

  @ApiModelProperty(value = "平台端批次号")
  private String platformOrderNo;

  @ApiModelProperty(value = "商户批次打款备注 merchantRemark")
  private String remark;

  @ApiModelProperty(value = "第几页 默认第一页")
  private Object pageNum;
  @ApiModelProperty(value = "每页多少条 默认10 最高200")
  private Object pageSize;

  @ApiModelProperty(name = "remark", value = "检索打款开始日期 yyyy-MM-dd")
  private String beginDate;
  @ApiModelProperty(name = "remark", value = "检索打款截止日期 yyyy-MM-dd")
  private String endDate;

  @ApiModelProperty(value = "检索身份证号")
  private String idCard;
}
