package com.api.demo.entity.pay.res;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 余额查询返回参数API
 */
@Data
public class ApiBalanceResDTO {

    private String bankName;

    @ApiModelProperty("可用余额")
    private BigDecimal balance= BigDecimal.ZERO;;

    @ApiModelProperty("冻结金额")
    private BigDecimal freezeAmount= BigDecimal.ZERO;;

    private Integer bankType;


}
