package com.api.demo.entity.pay.res;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class ApiUserLimitInfoRes {

    @ApiModelProperty(value = "限定额度")
    private BigDecimal limitAmount;

    @ApiModelProperty(value = "本月锁定额度(已发+待发)")
    private BigDecimal lockAmount;

    @ApiModelProperty(value = "当前可用额度")
    private BigDecimal balanceAmount;


}
