package com.api.demo.entity.sign.req;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 校验用户并签约
 * */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class CheckUserReq {


    @ApiModelProperty(value ="是否必须ocr 0否 1是 默认必须" )
    private Integer ocrFlag;

    @ApiModelProperty(value ="证件类型 1身份证 2护照 3香港通 4澳门通 5台湾通" )
    private Integer cardType;

    @ApiModelProperty(value ="姓名" )
    private String name;

    @ApiModelProperty(value ="证件号码" )
    private String idCard;

    @ApiModelProperty(value ="手机号" )
    private String mobile;

    @ApiModelProperty(value ="账户类型 1银行卡 3支付宝 6微信openid" )
    private Integer bankCardType;

    @ApiModelProperty(value ="银行卡号" )
    private String bankCardNo;

    @ApiModelProperty(value ="正面照" )
    private String idCardFront;

    @ApiModelProperty(value ="反面照" )
    private String idCardBack;

}
