package com.api.demo.entity.sign.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 签约员工查询参数
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SignStaffReq {

    @ApiModelProperty(value = "灵工姓名")
    private String userName;

    @ApiModelProperty(value = "手机号")
    private String userPhone;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "协议状态")
    private String agreementStatus;

    @ApiModelProperty(value = "签约模式 1小程序 4静默签 5 H5签约")
    private Integer noSign;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "代表第几页")
    private String pageNum ;

    @ApiModelProperty(value = "代表当前页显示的数据条数")
    private String pageSize ;
}
