package com.api.demo.entity.task.req;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/** 任务单派发信息 */
@ApiModel(value = "API任务单查询")
@Data
public class ApiTaskQueryReq implements Serializable {

  @ApiModelProperty(value = "任务编号")
  private String taskNo;

  @ApiModelProperty(value = "任务单名称")
  private String taskName;

  @ApiModelProperty(value = "任务创建开始时间")
  private String queryBeginTime;

  @ApiModelProperty(value = "任务创建结束时间")
  private String queryEndTime;

  @ApiModelProperty(value = "任务状态 1.待审核 2.进行中 3.已结算 4.已结束 5.已取消")
  private Integer taskStatus;

  @ApiModelProperty(value = "第几页 默认第一页")
  private Integer pageNum;
  @ApiModelProperty(value = "每页多少条 默认10 最高200")
  private Integer pageSize;
}
